wszystkie opcje
stretch  ] [  buster  ] [  bullseye  ] [  bookworm  ] [  sid  ]
[ Pakiet źródłowy: libparams-validate-perl  ]

Pakiet: libparams-validate-perl (1.26-1)

Odnośniki dla libparams-validate-perl

Screenshot

Zasoby systemu Debian:

Pobieranie pakietu źródłowego libparams-validate-perl:

Opiekunowie:

Zasoby zewnętrzne:

Podobne pakiety:

Perl module to validate parameters to Perl method/function calls

Params::Validate is a Perl module providing a flexible way to validate method and function call parameters. The validation can be as simple as checking for the presence of required parameters, or more complex, like validating object classes (via isa) or capabilities (via can) and checking parameter types. It also provides extensibility through customized validation callbacks.

The module has been designed to work equally well with positional or named parameters (via a hash or hash reference) and includes experimental support for attributes (see Attribute::Params::Validate for details).

Znaczniki: Rozwój oprogramowania: Rozwijanie w języku Perl, Biblioteki, Zaimplementowane w: Perl

Inne pakiety związane z libparams-validate-perl

  • wymaga
  • poleca
  • sugeruje
  • enhances

Pobieranie libparams-validate-perl

Pobierz dla wszystkich dostępnych architektur
Architektura Rozmiar pakietu Rozmiar po instalacji Pliki
amd64 64,5 KiB158,0 KiB [lista plików]
arm64 61,8 KiB158,0 KiB [lista plików]
armel 62,2 KiB158,0 KiB [lista plików]
armhf 62,7 KiB146,0 KiB [lista plików]
i386 67,8 KiB174,0 KiB [lista plików]
mips 61,4 KiB171,0 KiB [lista plików]
mips64el 60,8 KiB168,0 KiB [lista plików]
mipsel 61,8 KiB171,0 KiB [lista plików]
ppc64el 63,1 KiB174,0 KiB [lista plików]
s390x 64,0 KiB170,0 KiB [lista plików]